@import "globals";

.basic-game{
    text-align: center;
    position: relative;
    height: 100vh;
    overflow: hidden;
    
    .header{
        font-size: 1.5em;
        text-align: center;
        color: white;
        padding: 0.5em;
        >.more{
            font-size: 18px;
            margin-left: 1em;
        }
    }
}

.get-help-btn{
    float: right;
    cursor: pointer;
    margin-right: 1em;
}

// Mixin for game, default color3 is gradEnd
@mixin game-page-colors($gradStart, $gradEnd, $color3: ($gradEnd + 2 *$gradStart) /3 ){
    $text: $gradEnd;
    $answer-bg: $gradEnd;
    $selectedAns: $gradStart;
    $timer: $gradEnd;
    $countdown: $color3;
    $saveMe: $color3;

    // In simple-question:
    .question-text{ color: $text};
    .answer{ background-color: $answer-bg };
    .timer { color: $timer }
}

@import "subjects";
@each $subject, $value in $subjects{
    .#{$subject} { 
        @include game-page-colors($value...)
    } 
}

.circle{
    border-radius: 50%;    
    justify-content: center;
    display: inline-flex;
    font-size: 25px;
    line-height: 35px;
    width: 35px;
    margin-left:5px;
    background-color: gray; // unAnswered
}

.lightbox{
    position: absolute;
    z-index: 100;
    right: 0;
    bottom: 0;
    left: 0;
    top: 0;
    bottom: 0;
    padding: 10%;
    background-color: rgba(0,0,0,0.8);
    
}
